Redmine - Defect #35583

Error were trying to access "Rol"
2021-07-19 19:29 - Robinson Torres

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 3.44
Description

Started GET "/redmine/roles/3/edit" for 192.168.1.1 at 2021-07-19 11:31:51 -0500
Processing by RolesController#edit as HTML

Parameters: {"id"=>"3"}

Current user: admin (id=1)

Rendered roles/_form.html.erb (35.5ms)

Rendered roles/edit.html.erb within layouts/admin (37.1ms)

Completed 500 Internal Server Error in 51ms (ActiveRecord: 6.7ms)

ActionView::Template::Error (Tried to load unspecified class: ActiveSupport::HashWithIndifferentAccess):

84: <%= hidden_field_tag "role[permissions_all_trackers][#{permission}]", '0', :id => nil >

85: <= check_box_tag "role[permissions_all_trackers][#{permission}]",

86:'1",

87: @role.permissions_all_trackers?(permission),

88: :class => "#{permission}_shown",

89: :data => {:disables => ".#{permission}_tracker"} %>

90: </td>

app/models/role.rb:229:in “permissions_all_trackers'

app/models/role.rb:238:in “permissions_all_trackers?'

app/views/roles/_form.html.erb:87:in "block in app_views_roles_form_html_erb__ 376610786332119881_69944433040580"
app/views/roles/_form.html.erb:82:in “each’

app/views/roles/_form.html.erb:82:in *_app_views_roles__form_html_erb__ 376610786332119881_69944433040580"
app/views/roles/edit.html.erb:4:in “block in app_views_roles_edit_html_erb_ 4451376381137512519_69944418235820"'
app/helpers/application_helper.rb:1190:in “labelled_form_for'

app/views/roles/edit.html.erb:3:in "_app_views_roles_edit_html_erb_ 4451376381137512519_69944418235820'
lib/redmine/sudo_mode.rb:63:in "'sudo_mode'

Related issues:
Is duplicate of Redmine - Defect #35582: Error: Template::Error (Tried to loa... Closed

History

#1 - 2021-07-20 18:04 - Holger Just
- Is duplicate of Defect #35582: Error: Template::Error (Tried to load unspecified class: ActiveSupport::HashWithindifferentAccess) added

#2 - 2021-07-20 18:04 - Holger Just
- Status changed from New to Closed

- Resolution set to Duplicate

2025-06-06 1/1



http://www.tcpdf.org

